Filter Descriptions and Configuration
Prev | Chapter 17. WWW Reports | Next

## Filter Descriptions and Configuration

### Select URL Filter

ID: `select-url`

This filter specification can be used to select only the requests for particular URL.

For example, this filter could be used to create subreports about downloadable files from your website.

Parameters

`url_match`

  This parameter contains the regular expression that will be used to select the requests. Only requests where URL matches that regexp will be included in the subreports.

  Defaults to `\.tar.gz$`.

### Select Sessions by Page Filter

ID: `select-sessions-by-page`

This filter specification can be used to select sessions that include pages matching a regular expression. The filter is applied on all fields that contains page information.

Parameters

`page_match`

  This parameter contains the regular expression that will be used to select the sessions. Sessions for which one of the page fields (first_page, last_page, page_2, etc.) match the regexp will be selected.

### Select Client Host Filter

ID: `select-client_host`

This filter specification can be used to select only the requests by a particular client.

Parameters

`client_match`

  This parameter contains the regular expression that will be used to select the client. Only requests made by a client host matching that regexp will be included in the subreports.

  Defaults to `.*`.

### Exclude URL Filter

ID: `exclude-url`

This filter specification can be used to exclude requests for particular URLs.

For example, this filter could be use to create subreports excluding images or other multimedia file.

Parameters

`url_match`

  This parameter contains the regular expression that will be used to filter out the requests. Requests made for a URL matching that regexp will be excluded from the subreports.

  Defaults to `\.(png|jpg|gif|jpeg)$`.

### Exclude Sessions by Page Filter

ID: `exclude-sessions-by-page`

This filter specification can be used to exclude sessions that include pages matching a regular expression. The filter is applied on all fields that contains page information.

Parameters

`page_match`

  This parameter contains the regular expression that will be used to filter out the sessions. Sessions for which one of the page fields (first_page, last_page, page_2, etc.) match the regexp will be excluded.

### Exclude Client Host Filter

ID: `exclude-client_host`

This filter specification can be used to exclude requests coming from particular hosts from the repots.

Parameters

`client_match`

  This parameter contains the regular expression that will be used to filter out the client. Requests made by a client host matching that regexp will be excluded from the subreports.

  Defaults to `.*`.

### Exclude Referer Filter

ID: `exclude-referer`

This filter specification can be used to exclude requests with a particular referrer.

For example, this filter could be used to exclude internal referral from your subreports.

Parameters

`referer_match`

  This parameter contains the regular expression that will be used to filter out the referrer. Requests for which the referer field matches that regexp will be excluded from the subreports.

  Defaults to `^-$`.

Prev | Up | Next
Report Descriptions and Configuration | Home | Part III. Lire Reference